=== debian/changelog ===
bitsery (5.2.5-0mx23) mx; urgency=medium

  * Rebuild for MX-23

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sat, 20 Dec 2025 21:53:01 +0000

bitsery (5.2.5-0mx25) mx; urgency=medium

  * Initial build for MX-25

 -- Timothy E. Harris <maintainer@mxrepo.com>  Thu, 19 Dec 2025 02:56:43 +0000
