=== debian/control ===
Source: bitsery
Section: Libraries
Priority: optional
Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
Build-Depends:  debhelper (>= 12),
				libgtest-dev,
				libgmock-dev,
				cmake
Standards-Version: 4.5.8

Package: bitsery
Architecture: all
Description: Header only C++ binary serialization library.
 Bitsery is designed around the networking requirements for real-time data delivery, especially for games.
